%bcond_with bootstrap

Name:           maven-dependency-plugin
Version:        3.3.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plugin to manipulate, copy and unpack local and remote artifacts
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/%{name}
BuildArch:      noarch
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-tests-to-maven-model-3.6.X.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-beanutils:commons-beanutils)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-analyzer)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven:maven-aether-provider)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-connector-wagon)
BuildRequires:  mvn(org.eclipse.aether:aether-util)
%endif

%description
The dependency plugin provides the capability to manipulate
artifacts. It can copy and/or unpack artifacts from local or remote
repositories to a specified location.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
%patch0 -p1

%pom_remove_plugin :maven-enforcer-plugin

# Not actually needed
%pom_remove_dep :wagon-http-lightweight

%pom_remove_dep :maven-reporting-impl
%pom_remove_dep :commons-io

%pom_remove_dep :jetty-server
%pom_remove_dep :jetty-util
%pom_remove_dep :jetty-security
%pom_remove_dep :maven-plugin-testing-tools

%pom_change_dep :commons-collections4 commons-collections:commons-collections
sed -i '/import org.apache.commons.collections4/s/4//' src/main/java/org/apache/maven/plugins/dependency/analyze/AnalyzeDuplicateMojo.java

# Tests which require eclipse
rm src/test/java/org/apache/maven/plugins/dependency/TestGetMojo.java
rm -r src/test/java/org/apache/maven/plugins/dependency/fromDependencies
rm -r src/test/java/org/apache/maven/plugins/dependency/fromConfiguration
rm src/test/java/org/apache/maven/plugins/dependency/utils/translators/TestClassifierTypeTranslator.java

# Requires org.apache.maven.reporting
rm src/main/java/org/apache/maven/plugins/dependency/analyze/AnalyzeReport{Mojo,View}.java
sed -i '/doSpecialTest( "analyze-report" );/d' src/test/java/org/apache/maven/plugins/dependency/TestSkip.java

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Mon Jul 25 2022 neoclust <neoclust> 3.3.0-2.mga9
+ Revision: 1871057
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.3.0-1.mga9
+ Revision: 1870646
- New version 3.3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 3.1.2-1.mga8
+ Revision: 1617254
- New version 3.1.2

* Fri Feb 14 2020 umeabot <umeabot> 3.1.1-2.mga8
+ Revision: 1520253
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 guillomovitch <guillomovitch> 3.1.1-1.mga7
+ Revision: 1330338
- new version 3.1.1

* Thu Sep 20 2018 daviddavid <daviddavid> 3.0.2-1.mga7
+ Revision: 1288358
- Update to upstream version 3.0.2 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.0-0.3.20160119svn1722376.mga7
+ Revision: 1264038
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.0-0.3.20160119svn1722375.mga6
+ Revision: 1101415
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0-0.3.20160119svn1722373.mga6
+ Revision: 977275
- First rebuild of the java stack
- sync package maven-dependency-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ zezinho <zezinho>
- remove comment with macro as it fails to build
- new version

* Wed Oct 15 2014 umeabot <umeabot> 2.8-6.mga5
+ Revision: 750433
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 2.8-4.mga5
+ Revision: 671298
- Rebuild to get automatic dependency fixed

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.8-3.mga5
+ Revision: 670551
- remove useless BRs (from fedora)

* Tue Oct 22 2013 umeabot <umeabot> 2.8-2.mga4
+ Revision: 541759
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 2.8-1.mga4
+ Revision: 486765
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 2.6-1.mga4
+ Revision: 453349
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 2.5.1-3.mga4
+ Revision: 453313
- Remove unneeded BR: asm2

* Sat Jan 12 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 359589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 2.5.1-1.mga3
+ Revision: 329090
- New version

* Mon Jul 09 2012 dmorgan <dmorgan> 2.4-1.mga3
+ Revision: 268961
- New version 2.4

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3-2.mga3
+ Revision: 267929
- Add missing BR.

* Fri Dec 09 2011 dmorgan <dmorgan> 2.3-1.mga2
+ Revision: 179516
- New version 2.3

* Tue Jul 19 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 126373
- BR/R maven-shared-file-management.
- Update to 2.2 final release.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-0.4.svn949573.2.mga1
+ Revision: 92694
- Rebuild after bootstrapping
- imported package maven-dependency-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-0.4.svn949573
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-0.3.svn949573
- Fix test case to expect new classworlds

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2-0.2.svn949573
- Add missing Requires.

* Thu Jun  3 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-0.1.svn949573
- Initial package
